DTEDFrameCacheLayer.Builder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.dted
Class DTEDFrameCacheLayer.Builder

    java.lang.Object
      com.bbn.openmap.layer.dted.DTEDFrameCacheLayer.Builder

Enclosing class:
  DTEDFrameCacheLayer

    public static class DTEDFrameCacheLayer.Builder

extends java.lang.Object

This is the easiest way to construct a DTEDFrameCacheLayer programmatically. Create the Builder, configure it, and call create() to configure the layer.

Constructor Summary
`DTEDFrameCacheLayer.Builder(DTEDDirectoryHandler dirHandler)` Create a builder for a DTEDFrameCacheLayer.
`DTEDFrameCacheLayer.Builder(java.lang.String dtedDirectory)` Create a builder for a DTEDFrameCacheLayer.

Method Summary
`DTEDFrameCacheLayer.Builder` | `addGeneratorLoader(GeneratorLoader gLoader)` Add a generator loader to the DTEDFrameCache to be used by the layer.
`DTEDFrameCacheLayer` | `create()` Create the DTEDFrameCacheLayer.
`DTEDFrameCacheLayer.Builder` | `setNameTranslator(DTEDNameTranslator translator)` If set, this name translator will be added to all directory handlers set in this builder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTEDFrameCacheLayer.Builder

    public DTEDFrameCacheLayer.Builder(java.lang.String dtedDirectory)

  Create a builder for a DTEDFrameCacheLayer.

  Parameters:
    `dtedDirectory` - a path to the dted directory.

### DTEDFrameCacheLayer.Builder

    public DTEDFrameCacheLayer.Builder(DTEDDirectoryHandler dirHandler)

  Create a builder for a DTEDFrameCacheLayer.

  Parameters:
    `dirHandler` - don't pass in a null value, things will get ugly.

Method Detail

### setNameTranslator

    public DTEDFrameCacheLayer.Builder setNameTranslator(DTEDNameTranslator translator)

  If set, this name translator will be added to all directory handlers set in this builder. If not called the StandardDTEDNameTranslator will be used.

  Parameters:
    `translator` - DTEDNameTranslator.
  Returns:
    this builder.

### addGeneratorLoader

    public DTEDFrameCacheLayer.Builder addGeneratorLoader(GeneratorLoader gLoader)

  Add a generator loader to the DTEDFrameCache to be used by the layer. If not called, the SloperGeneratorLoader will be used.

  Parameters:
    `gLoader` -
  Returns:
    this Builder.

### create

    public DTEDFrameCacheLayer create()

  Create the DTEDFrameCacheLayer.

  Returns:
    the new layer, configured with Builder settings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details